Core - Bug # 68391

Status: Resolved Priority: Must have
Author: Andreas Fernandez Category: Form Wizard
Created: 2015-07-20 Assigned To: Andreas Fernandez
Updated: 2015-07-20 Due date:

TYPO3 Version: 7

PHP Version:

Complexity:

Is Regression: Yes

Sprint Focus: Remote Sprint

Subject: EXT:form content element broken

Description

The content element "Form" of EXT:form raises JavaScript errors since the removal of Prototype.

Related issues:

related to Core - Feature # 39721: Remove Prototype and script.aculo.us Javas...

Resolved 2014-02-02

Associated revisions

Revision 2642a04e - 2015-07-20 19:28 - Andreas Fernandez

[BUGFIX] Remove leftover usage of prototype in EXT:form

Prototype is used in EXT:form, which is based on ExtJS. Prototype
was removed earlier, resulting in JavaScript errors. The broken
function calls are replaced by ExtJS pendants.

Resolves: #68391

Related: #39721

Releases: master

Change-Id: [f005caa86b63cf930fc49e2408214ef4d9574c4f
Reviewed-on: http://review.typo3.org/41735

Reviewed-by: Benjamin Mack <benni@typo3.org>
Tested-by: Christian Kuhn <lolli@schwarzbu.ch>

Reviewed-by: Wouter Wolters <typo3@wouterwolters.nl>

Tested-by: Wouter Wolters <typo3@wouterwolters.nl>

History

#1 - 2015-07-20 15:00 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/41735

#2 - 2015-07-20 15:12 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/41735
#3 - 2015-07-20 15:13 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/41735

#4 - 2015-07-20 19:30 - Andreas Fernandez
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:2642a04e19ef6f6b02c255ab0cfcd691749f2e20.
